// CLOCK MODIFIER: EXAMPLE ANIMATION 2
// ***********************************
// This animation shows how the modified clock can be used to
// scale, rotate, and translate objects in various ways.

// CAMERA AND LIGHTS
   camera {location <0, 0, -20> look_at <0, 0, 0> angle 40}
   light_source {<50, 50, -50> rgb 1}

// PULSATING LEFT SPHERE
   sphere {<0, 0, 0>, 1
      pigment {rgb <1, .4, .7>} finish {phong .5}
      #declare clock_type = "Triangle" #include "ClockMod.inc"
      scale .5 + mclock
      translate -x * 4}

// BOUNCING MIDDLE SPHERE
   sphere {<0, -3, 0>, .5
      pigment {rgb <.2, 1, .3>} finish {phong .5}
      #declare clock_type = "Bounce" #include "ClockMod.inc"
      translate y * mclock * 6}

// ROTATING RIGHT CONE
   cone {-y, .5, y * 2, 0
      pigment {rgb <1, .5, 0>} finish {phong .5}
      #declare clock_type = "Oscillate" #include "ClockMod.inc"
      rotate z * mclock * 90
      translate x * 4}
